Subject: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Filipp Gunbin <[email-masked]>
Date: Thu, 25 Oct 2018 23:47:00 +0300

On 25/10/2018 22:40 +0300, Eli Zaretskii wrote:

>> From: Filipp Gunbin <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 25 Oct 2018 22:36:50 +0300
>>
>> > Once again, I believe the root cause is that process-connection-type
>> > has the wrong value.
>>
>> I have no opinion on the correctness of p-c-t in ldap-search-internal in
>> ldap.el.  If 33154 gets fixed, then code in ldap.el works regardless of
>> its value.
>
> Is this bug important to fix, or can it wait for Emacs 27?  If it
> cannot wait, then setting process-connection-type non-nil is the only
> way we can have it fixed on the release branch, because changes like
> those which you propose for process.c can only go to master.

If someone could confirm that setting process-connection-type to t
(ldap.el, line 649) doesn't break it on GNU/Linux, then I think it's
good to have it on release branch.  This bug prevents at least
eudc-expand-inline with ldap on macOS from working.

Filipp